<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="SocoShop.Page.UserApplyAjax" %>
<%@ Import namespace="SocoShop.Entity" %>
<%@ Import namespace="SocoShop.Business" %>
<%@ Import namespace="SocoShop.Common" %>
<%@ Import namespace="SkyCES.EntLib" %>
<%@ Import namespace="System.Diagnostics" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/* 
		本页面代码由天易模板生成于 2011/3/6 19:11:38.
	*/
	Stopwatch sw = new Stopwatch();
	sw.Start();
	base.OnInit(e);
	sw.Stop();
	 decimal processTime=Convert.ToDecimal(sw.ElapsedMilliseconds) / 1000;
	StringBuilder document = new StringBuilder();
	switch(action)
{
	case "Read":
	document.Append("    <table class=\"listTable\" cellpadding=\"0\" cellpadding=\"0\">\r\n");
	document.Append("        <tr class=\"listTableHead\">                               \r\n");
	document.Append("            <td width=\"15%\" style=\"text-align:left;padding-left:5px;\">流水号</td>\r\n");
	document.Append("            <td width=\"10%\">金额(元)</td>\r\n");
	document.Append("            <td width=\"15%\">申请时间</td>\r\n");
	document.Append("            <td width=\"25%\">会员备注</td>\r\n");
	document.Append("            <td width=\"25%\">管理员备注</td>\r\n");
	document.Append("            <td width=\"10%\">状态</td>\r\n");
	document.Append("        </tr>\r\n");
	foreach(UserApplyInfo userApply in userApplyList)
{
	document.Append("        <tr class=\"listTableMain\">                             \r\n");
	document.Append("            <td style=\"text-align:left;padding-left:5px;\">"+userApply.Number +"</td>\r\n");
	document.Append("            <td>"+userApply.Money +"</td>\r\n");
	document.Append("            <td>"+userApply.ApplyDate +"</td>\r\n");
	document.Append("            <td>"+userApply.UserNote +"</td>\r\n");
	document.Append("            <td>"+userApply.AdminNote +"</td>\r\n");
	document.Append("            <td>"+UserApplyBLL.ReadApplyStatus(userApply.Status)+"</td>\r\n");
	document.Append("        </tr>\r\n");
	}
	document.Append("    </table>\r\n");
	document.Append("    <div class=\"height10\"></div>\r\n");
	document.Append("    <div>"+ajaxPagerClass.ShowPage()+"</div>\r\n");
	break;
	case "Add":
	document.Append("    <div class=\"add\">\r\n");
	document.Append("        <ul>\r\n");
	document.Append("            <li class=\"left\">余额：</li>\r\n");
	document.Append("            <li class=\"right\">"+Sessions.MoneyLeft+"</li>\r\n");
	document.Append("        </ul>  \r\n");
	document.Append("        <ul>\r\n");
	document.Append("            <li class=\"left\">提现金额：</li>\r\n");
	document.Append("            <li class=\"right\"><input type=\"text\" class=\"input\" style=\"width:100px\" id=\"Money\" />（元）</li>\r\n");
	document.Append("        </ul>\r\n");
	document.Append("         <ul>\r\n");
	document.Append("            <li class=\"left\">提现备注：</li>\r\n");
	document.Append("            <li class=\"right\"><textarea id=\"UserNote\" style=\"width:300px; height:100px\"></textarea><br />请填写您完整的账户资料！</li>\r\n");
	document.Append("        </ul> \r\n");
	document.Append("        <ul>\r\n");
	document.Append("            <li class=\"left\">&nbsp;</li>\r\n");
	document.Append("            <li class=\"right\"><input type=\"button\" class=\"button\" value=\"确定\" onclick=\"addUserApply()\" /></li>\r\n");
	document.Append("        </ul> \r\n");
	document.Append("    </div>\r\n");
	break;
	default:
	break;
	
 }
	Response.Write(document.ToString());
}
</script>